%global common_summary A set of free reverb effects

Name:           dragonfly-reverb
Version:        3.2.10
Release:        1%{?dist}
Summary:        %{common_summary}

License:        GPLv3
URL:            https://michaelwillis.github.io/dragonfly-reverb
Source0:        https://github.com/michaelwillis/dragonfly-reverb/releases/download/%{version}/dragonfly-reverb-%{version}-src.tar.xz

BuildRequires:  git
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  libX11-devel
BuildRequires:  libglvnd-devel
BuildRequires:  jack-audio-connection-kit-devel

%global common_desc \
Dragonfly Reverb is a bundle of free audio effects for Linux, MacOS, and Windows.


%description
%common_desc

This package contains the common files and the JACK plugins.

# *** LV2 package ***
%package -n lv2-%{name}

Summary:    %{common_summary}, lv2 plugin

%description -n lv2-%{name}
%common_desc

This package contains the LV2 plugins.

# *** VST package ***
%package -n vst-%{name}

Summary:    %{common_summary}, vst plugin

%description -n vst-%{name}
%common_desc

This package contains the VST plugins.


# *** CLAP package ***
%package -n clap-%{name}

Summary:    %{common_summary}, CLAP plugin

%description -n clap-%{name}
%common_desc

This package contains the CLAP plugins.


# *** Prep ***
%prep
%autosetup -p1 -Sgit


# *** Build ***
%build
%make_build SKIP_STRIPPING=true CFLAGS="-g" CXXFLAGS="-g"

%install
rm -rf $RPM_BUILD_ROOT

for PLUGIN in DragonflyEarlyReflections DragonflyHallReverb DragonflyPlateReverb DragonflyRoomReverb; do
    install -m 0755 -D -t %{buildroot}%{_bindir} bin/$PLUGIN
    install -m 0755 -D -t %{buildroot}%{_libdir}/vst bin/$PLUGIN-vst.so
    install -m 0755 -D -t %{buildroot}%{_libdir}/clap bin/$PLUGIN.clap
    install -m 0755 -D -t %{buildroot}%{_libdir}/lv2/$PLUGIN.lv2 bin/$PLUGIN.lv2/*.so
    install -m 0644 -D -t %{buildroot}%{_libdir}/lv2/$PLUGIN.lv2 bin/$PLUGIN.lv2/*.ttl
done

# *** JACK Files ***

%files
%license LICENSE
%doc README.md
%{_bindir}/*


# *** LV2 Files ***

%files -n lv2-%{name}
%license LICENSE
%{_libdir}/lv2/*


# *** VST Files ***

%files -n vst-%{name}
%license LICENSE
%{_libdir}/vst/*


# *** CLAP Files ***

%files -n clap-%{name}
%license LICENSE
%{_libdir}/clap/*


%changelog
* Tue Apr 25 2023 Olivier Samyn 🎻 <code@oleastre.be> - 3.2.10-1
- New upstream release
- Add CLAP plugin package

* Sat Jun 04 2022 Olivier Samyn <code@oleastre.be> - 3.2.6-1
- new version

* Mon Jun 14 2021 Olivier Samyn <code@oleastre.be> - 3.2.5-1
- New upstream release

* Tue Jan 19 23:51:55 CET 2021 Olivier Samyn 🎻 <code@oleastre.be> - 3.2.3-2
- Fix plugin location

* Sun Jan 17 23:36:13 CET 2021 Olivier Samyn 🎻 <code@oleastre.be> - 3.2.3-1
- Initial package
